libgutenprint API Reference 5.3.6-2026-02-01T02-18-9b0bdf87

Data Fields
stp_papersize_t Struct Reference
papersize

The papersize data type. More...

`#include <paper.h>`

## Data Fields
const char * | name
| Short unique name (not translated).
const char * | text
| Long descriptive name (translated).
const char * | comment
| Comment.
stp_dimension_t | width
| Paper width.
stp_dimension_t | height
| Paper height.
stp_dimension_t | top
| Top margin.
stp_dimension_t | left
| Left margin.
stp_dimension_t | bottom
| Bottom margin.
stp_dimension_t | right
| Right margin.
stp_papersize_unit_t | paper_unit
| Units of measurement.
stp_papersize_type_t | paper_size_type
| Paper size type.

## Detailed Description

The papersize data type.

## Field Documentation

## ◆ bottom

stp_dimension_t stp_papersize_t::bottom

Bottom margin.

## ◆ comment

const char* stp_papersize_t::comment

Comment.

## ◆ height

stp_dimension_t stp_papersize_t::height

Paper height.

## ◆ left

stp_dimension_t stp_papersize_t::left

Left margin.

## ◆ name

const char* stp_papersize_t::name

Short unique name (not translated).

## ◆ paper_size_type

stp_papersize_type_t stp_papersize_t::paper_size_type

Paper size type.

## ◆ paper_unit

stp_papersize_unit_t stp_papersize_t::paper_unit

Units of measurement.

## ◆ right

stp_dimension_t stp_papersize_t::right

Right margin.

## ◆ text

const char* stp_papersize_t::text

Long descriptive name (translated).

## ◆ top

stp_dimension_t stp_papersize_t::top

Top margin.

## ◆ width

stp_dimension_t stp_papersize_t::width

Paper width.

The documentation for this struct was generated from the following file:

- include/gutenprint/paper.h